%global major                           1

Name:                                   LTKStream
Version:                                1.0.2
Release:                                2%{?dist}
Summary:                                A stream extension for ladspa-tool-kit

License:                                GPLv3
URL:                                    codecolla.com

# git clone git://codecolla.com/projects/2_ltkStream
# cd 0000000000000002_ltkStream/PROJECT
# git archive --format tar.gz --prefix LTKStream-1.0.2/ v1.0.2 > LTKStream-1.0.2.tar.gz
# . make.sh
Source0:                                SOURCES/%{name}-%{version}.tar.gz

BuildRequires:                          gcc
BuildRequires:                          glibc-devel
BuildRequires:                          make
BuildRequires:                          LTK-devel

Requires:                               libunwind
Requires:                               LTK

%description
ladspa-tool-kit stream extension is designed for stream operation.
The stream operations are based on UNIX file descriptor.
it aims to be a derivable class for all stream based features.

%package                                devel
Summary:                                Development files for %{name}
Requires:                               %{name}%{?_isa} = %{version}-%{release}

%description                            devel
The %{name}-devel package contains libraries and header files
for developing applications that use %{name}.

%prep
%autosetup

%build
%set_build_flags
%make_build NAME=%{name} VERSION=%{version} MAJOR=%{major}

%install
install -pm 0755 -D bin/lib%{name}.so.%{major} %{buildroot}%{_libdir}/lib%{name}.so.%{major}
ln -s %{_libdir}/lib%{name}.so.%{major} %{buildroot}%{_libdir}/lib%{name}.so.%{version}
ln -s %{_libdir}/lib%{name}.so.%{major} %{buildroot}%{_libdir}/lib%{name}.so
mkdir -p %{buildroot}%{_includedir}/LTK
install -pm 0644 -D include/* %{buildroot}%{_includedir}/LTK
mkdir -p %{buildroot}%{_mandir}/man3
install -pm 0644 -D  man/*.3 %{buildroot}%{_mandir}/man3/

%files
%license LICENSE
%{_libdir}/lib%{name}.so.%{major}*

%files devel
%{_libdir}/lib%{name}.so
%{_includedir}/LTK
%{_mandir}/man3/*.3.*

%changelog
* Wed Dec 21 2022 Lewis ANESA <lan@codecolla.com>
- Fixed unknown dependency

* Wed Dec 21 2022 Lewis ANESA <lan@codecolla.com>
- Imported from LTKFile

* Tue Dec 20 2022 0000000000000002_ltkStream <0000000000000002_ltkStream@codecolla.com>
- dev init

* Tue Dec 20 2022 0000000000000002_ltkStream <0000000000000002_ltkStream@codecolla.com>
- master init

